Package org.springframework.beans.factory.config

# Interface YamlProcessor.DocumentMatcher

Enclosing class:
  YamlProcessor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface YamlProcessor.DocumentMatcher
Strategy interface used to test if properties match.

## Method Summary

Modifier and Type
Method
Description
`YamlProcessor.MatchStatus`
`matches(Properties properties)`
Test if the given properties match.

## Method Details

### matches

YamlProcessor.MatchStatus matches(Properties properties)
Test if the given properties match.

Parameters:
  `properties` - the properties to test
Returns:
  the status of the match